| Home | Libraries | People | FAQ | More

### execution_context::service

Base class for all `io_context` services.

    class service :
      noncopyable

##### Member Functions

Name | Description
--- | ---
context | Get the context object that owns the service.

##### Protected Member Functions

Name | Description
--- | ---
service | Constructor.
~service | Destructor.

##### Private Member Functions

Name | Description
--- | ---
notify_fork | Handle notification of a fork-related event to perform any necessary housekeeping.
shutdown | Destroy all user-defined handler objects owned by the service.

##### Requirements

Header: `boost/asio/execution_context.hpp`

Convenience header: `boost/asio.hpp`